edu.isi.pegasus.planner.partitioner

## Class MultipleLook.MyCallBackHandler

- java.lang.Object
- - edu.isi.pegasus.planner.partitioner.MultipleLook.MyCallBackHandler

All Implemented Interfaces:
  org.griphyn.vdl.euryale.Callback

Enclosing class:
  MultipleLook

    private class MultipleLook.MyCallBackHandler
    extends java.lang.Object
    implements org.griphyn.vdl.euryale.Callback

The internal callback handler for the DAXParser in Euryale. It only stores the jobs that are part of the dax, that are then populated into the internal ADAG object that is used to write out the dax file corresponding to the partition.

### Constructor Summary

Constructors
Constructor and Description
`MyCallBackHandler()` The empty constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cb_document(java.util.Map attributes)` Callback when the opening tag was parsed.
`void` `cb_done()` Callback when the parsing of the document is done.
`void` `cb_filename(org.griphyn.vdl.dax.Filename filename)` Callback when the section 1 filenames are being parsed.
`void` `cb_job(org.griphyn.vdl.dax.Job job)` Callback for the job from section 2 jobs.
`void` `cb_parents(java.lang.String child, java.util.List parents)` Callback for child and parent relationships from section 3.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MyCallBackHandler

    public MyCallBackHandler()

The empty constructor.

### Method Detail

#### cb_document

    public void cb_document(java.util.Map attributes)

Callback when the opening tag was parsed. The attribute maps each attribute to its raw value. The callback initializes the DAG writer.

Specified by:
  `cb_document` in interface `org.griphyn.vdl.euryale.Callback`
Parameters:
  `attributes` - is a map of attribute key to attribute value

#### cb_filename

    public void cb_filename(org.griphyn.vdl.dax.Filename filename)

Description copied from interface: `org.griphyn.vdl.euryale.Callback`
Callback when the section 1 filenames are being parsed.

Specified by:
  `cb_filename` in interface `org.griphyn.vdl.euryale.Callback`
Parameters:
  `filename` - is a DAX-style filename elements.

#### cb_job

    public void cb_job(org.griphyn.vdl.dax.Job job)

Description copied from interface: `org.griphyn.vdl.euryale.Callback`
Callback for the job from section 2 jobs. These jobs are completely assembled, but each is passed separately.

Specified by:
  `cb_job` in interface `org.griphyn.vdl.euryale.Callback`
Parameters:
  `job` - is the DAX-style job.

#### cb_parents

    public void cb_parents(java.lang.String child,
                           java.util.List parents)

Description copied from interface: `org.griphyn.vdl.euryale.Callback`
Callback for child and parent relationships from section 3.

Specified by:
  `cb_parents` in interface `org.griphyn.vdl.euryale.Callback`
Parameters:
  `child` - is the IDREF of the child element.
  `parents` - is a list of IDREFs of the included parents.

#### cb_done

    public void cb_done()

Description copied from interface: `org.griphyn.vdl.euryale.Callback`
Callback when the parsing of the document is done. While this state could also be determined from the return of the invocation of the parser, that return may be hidden in another place of the code. This callback can be used to free callback-specific resources.

Specified by:
  `cb_done` in interface `org.griphyn.vdl.euryale.Callback`